Subject: bug#52356: 27.2; Isearch prompt changes unexpectedly with char folding enabled

From: Juri Linkov <[email-masked]>
Date: Sun, 19 Dec 2021 19:48:19 +0200

close 52356 29.0.50
thanks

> I’ve tested your latest patch in two ways and in both tests the prompt
> didn’t flicker on adding letters to the search string. So it looks
> fine to me.

Thanks for testing.  So now pushed to Emacs 29.

>> A possible variant would be not to flicker too much by
>> transitioning from the message:
>>
>>   Pending char-fold I-search: string
>>
>> to
>>
>>   1/20 Pending char-fold I-search: string
>
> If I understand it correctly the jittering there is all due to
> ‘lazy-count-prefix-format’ being non-nil. If you set it to nil (and
> use ‘lazy-count-suffix-format’ to display the counter) then you have
> no jittering at all.

Indeed, there is no jittering when the count is at the end of I-search message.

>> But maybe better not to display "Pending" at all?
>
> I personally don’t like delayed changes to graphical elements, so I’d
> say yes.
>
> Now I'm curious though, what‘s the meaning of “pending” in the context
> of Isearch?

“Pending” was intended to say the current search state might not
correspond to the search string until the user types C-s or C-r
to search for the next match.  But this should be obvious
without this prefix message.